在Moblin2.1-preview上编译安装ibus

前段时间安装了Moblin2.1-preview版,一直没玩。今天突然有兴致跑进去玩玩。先是改了一下源,升级了一把,大概250MB。然后发现浏览器变成firefox3.5了,支持书签和插件,clutter下的ff就是漂亮,上网一定很爽!可是为什么不给我装好输入法呢?找了半天也没有找到安装的入口,所以我进shell安装了scim。

1
yum install scim scim-pinyin scim-bridge scim-bridge-gtk scim-bridge-clutter

装好后发现很多地方用不了scim。我只好抛弃了scim,转投ibus。

ibus没有现成的包,必须手动编译。于是我开始手动编译,接下来的过程消耗了我一个晚上,弄得我头昏脑胀,可算是凄惨啊。

编译ibus

参考地址:http://code.google.com/p/ibus/wiki/Install

先把依赖包装好:

1
yum install git gnome-common autoconf automake libtool glib2-devel intltool gtk-doc GConf-dbus-devel make gcc clutter-devel dbus-python-devel iso-codes-devel

然后把源代码下下来:

1
2
git clone git://github.com/phuang/ibus.git ibus
cd ibus

开始编译

1
2
3
./autogen.sh --prefix='/usr' --sysconfdir='/etc' --libdir='/usr/lib' --enable-gtk-doc
make
sudo make install

我在运行autogen.sh的时候出现了以下错误:

Makefile.am: required file `./ChangeLog’ not found

直接输入下面指令后,重新运行autogen.sh

1
touch ChangeLog

编译ibus-pinyin

先安装依赖包:

1
yum install sqlite-devel gcc-c++ libuuid-devel

下载源代码:

1
2
git clone git://github.com/phuang/ibus-pinyin.git ibus-pinyin
cd ibus-pinyin

开始编译:

1
2
3
./autogen.sh --prefix=/usr
make
sudo make install

编译ibus-client-clutter

参考地址:http://moblin.org/documentation/input-method-framework/guide-ibus-moblin2

先解决依赖问题:

1
yum install clutter-imcontext-devel

下载源代码

1
2
git clone git://git.moblin.org/ibus-client-clutter
cd ibus-client-clutter

开始编译:

1
./autogen.sh --prefix=/usr --sysconfdir=/etc

这时候会出错,它要求clutter的版本一定要是0.9的。我们修改一下配置文件:

1
vi configure.ac

找到clutter-0.9 >= 0.9.7

改成clutter-1.0 >= 0.9.7

重新运行autogen.sh,问题解决

1
2
make
sudo make install

刷新Clutter IMContext Framework的配置文件

1
2
3
4
clutter-scan-immodules > /tmp/clutter.immodules
sudo cp /tmp/clutter.immodules /etc/clutter-imcontext/clutter.immodules
clutter-scan-immodules > /tmp/clutter.immodules
sudo cp /tmp/clutter.immodules /etc/clutter-imcontext/clutter.immodules

最后在环境变量中加入:

1
2
export CLUTTER_IM_MODULE=ibus
export GTK_IM_MODULE=ibus

大功告成,重启一下,就可以使用ibus了。

什么?重启后ibus还没有启动?

原因是缺少pydxg。我们去http://www.freedesktop.org/wiki/Software/pyxdg下载最新源码

下载好后先安装需要的安装环境:

1
yum install python-devel

然后安装

1
2
3
tar zxvf pyxdg-0.18.tar.gz
cd pyxdg-0.18
python setup.py install

OK了,这下就可以使用ibus了。